#ifndef __BSP_WF5803_H
#define __BSP_WF5803_H

#include "CH58x_common.h"

#define  WF5803_EVT_START 0x0010
#define  WF5803_EVT_READ 0x0100

void WF5803_Init(void);
void WF5803_WriteReg(uint8_t Address, uint8_t value);
uint8_t WF5803_ReadReg(uint8_t addr);
uint8_t *GetSensorData(void);
void SensorData_Process(void);
void BSPWF5803_Init(void);

void WF5803_DeInit(void);


#endif
